Bug 11257 - SMB2 should cancel pending NOTIFY calls with DELETE_PENDING if the directory is deleted.
SMB2 should cancel pending NOTIFY calls with DELETE_PENDING if the directory ...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-06 00:16 UTC by Jeremy Allison
Modified: 2015-05-24 18:42 UTC (History)
1 user (show)

See Also:


Attachments
Capture file from Win8 showing the problem - See frame 28. (6.92 KB, application/vnd.tcpdump.pcap)
2015-05-06 00:16 UTC, Jeremy Allison
no flags Details
git-am cherry-pick from master for 4.2.next (19.08 KB, patch)
2015-05-06 00:19 UTC, Jeremy Allison
vl: review+
Details
patch (18.98 KB, patch)
2015-05-21 10:16 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2015-05-06 00:16:31 UTC
Created attachment 11023 [details]
Capture file from Win8 showing the problem - See frame 28.

Bug fixed in master by Volker. Back-port for 4.2.next to follow.

From vl@samba.org:

We have to cancel notifies with DELETE_PENDING if the directory
watched goes away. See frame 28 in win8.cap.
Comment 1 Jeremy Allison 2015-05-06 00:19:18 UTC
Created attachment 11024 [details]
git-am cherry-pick from master for 4.2.next
Comment 2 Jeremy Allison 2015-05-06 16:03:33 UTC
Re-assigning to Karolin for inclusion in 4.2.next.
Comment 3 Karolin Seeger 2015-05-21 08:08:18 UTC
Patch does not apply to current v4-2-test:

error: Anwendung des Patches fehlgeschlagen: source3/smbd/notify.c:418
error: source3/smbd/notify.c: Patch konnte nicht angewendet werden
Anwendung des Patches fehlgeschlagen bei 0004 smbd: Cancel pending notifies if the directory goes away
Comment 4 Volker Lendecke 2015-05-21 10:16:00 UTC
Created attachment 11079 [details]
patch

Here's a version that applies and compiles with git am to v4-2-test. The other one did apply fine with git am -3.
Comment 5 Jeremy Allison 2015-05-21 10:26:37 UTC
Comment on attachment 11079 [details]
patch

LGTM.
Comment 6 Jeremy Allison 2015-05-21 10:27:34 UTC
Re-assigning to Karolin for inclusion in 4.2.next.
Comment 7 Karolin Seeger 2015-05-21 12:45:15 UTC
Pushed to autobuild-v4-2-test.
Comment 8 Karolin Seeger 2015-05-24 18:42:45 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-2-test.
Closing out bug report.

Thanks!